{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="{% static '../static/assets-story-4/icon/icon.png' %}" />
    <title>Sign Up</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
        integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <style>
        *{
            margin: 0;
            padding: 0;
            text-decoration: none;
            outline: none;
        }

        .container{
            display: flex;
            justify-content: center;
            padding: 7%;
        }

        form{
            width: 70%;
        }

        .btn{
            background-color: #274156;
            color: white;
            width: 100%;
            margin-top: 5%;
            margin-bottom: 5%;
        }

        .btn:hover{
            background-color: white;
            color: #274156;
        }

        p{
            text-align: center;
        }
    </style>

</head>
<body>
    <div class="container">
        <form action="" method="POST">
            {% csrf_token %}
            <div class="form-group">
                <label for="exampleInputEmail1"><i class="fa fa-user"></i> &nbsp; Username</label>
                {{form.username}}
            </div>
            <div class="form-group">
                <label ><i class="fa fa-envelope"></i> &nbsp; Email</label>
                {{form.email}}
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1"> <i class="fa fa-lock" ></i> &nbsp; Password</label>
                {{form.password1}}
                <small id="emailHelp" class="form-text text-muted">Recommend : use suggestion password to secure your account</small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1"> <i class="fa fa-lock" ></i> &nbsp; Confirm Password</label>
                {{form.password2}}
                <!-- <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Confirm password" autocomplete="off" > -->
            </div>
            <input type="submit" class="btn" value="Sign Up">

            <div class="error">
                {% for message in messages %}
                <p style="color: red;" >{{message}}</p>
                {% endfor %}
            </div>
            <p>Already have an account ? <span><a href="/storysembilan/signin/"> Sign In</a></span></p>
        </form>
    </div>
</body>
</html>